cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

VB-API pfcExceptions::XToolkitAppVersionMismatch when trying to connect

SOLVED
Alex_the_K
4-Participant

VB-API pfcExceptions::XToolkitAppVersionMismatch when trying to connect

Hi,

I am using Creo Parametric 4.0 M140

Sometimes, but not repeatable, when trying to connect with vba to an existing (and the only one) Creo-Instance I get this pfcEcxeptions-Error:
-2147352567->pfcExceptions::XToolkitAppVersionMismatch

My Code is following:
Dim asyncConnection As IpfcAsyncConnection
Dim cAC As CCpfcAsyncConnection
Dim session As IpfcBaseSession
Dim Windows As IpfcWindow
Set cAC = New CCpfcAsyncConnection
Set asyncConnection = cAC.Connect(Null, Null, Null, Null) <- in this line my code stops
Set session = asyncConnection.session

Since I'm a VBA-Beginner and this Code is from a colleague which is not longer in our firma, I am thankful for all help and information on this!
1 ACCEPTED SOLUTION

Accepted Solutions

While coding with Creo VB API your code throws exception XToolkitAppVersionMismatch when connecting to Creo instance.

Apologies for delay in coming back to you.

The name of the exception tells that your code version and the Creo instance's mismatch. Theoretically datecodes datecode differences do not usually have an impact.

Release difference is more critical due to retro compatibility. 

All in all, with VB calling vb_api_unregister and vb_api_register back to back resolve many of the issues.

If the issue still persists or if you need to pursue this conversation, i recommend that you file a new Tech Support case.

Please confirm that the issue is resolved. 

View solution in original post

2 REPLIES 2

Hi again,

 

seems like I found the problem. We installed a second Version of Creo, so we have M140+M150 installed. With M150 the connection works, with M140 it fails with above error. 

After researching I've found out, that when 2 versions are installed, the vb_api_register.bat of the older version has to be executed. This didn't happen here.

 

While coding with Creo VB API your code throws exception XToolkitAppVersionMismatch when connecting to Creo instance.

Apologies for delay in coming back to you.

The name of the exception tells that your code version and the Creo instance's mismatch. Theoretically datecodes datecode differences do not usually have an impact.

Release difference is more critical due to retro compatibility. 

All in all, with VB calling vb_api_unregister and vb_api_register back to back resolve many of the issues.

If the issue still persists or if you need to pursue this conversation, i recommend that you file a new Tech Support case.

Please confirm that the issue is resolved. 

View solution in original post

Announcements